Показано с 1 по 9 из 9

Тема: Как обновить mysql-5.5.56 до версии не ниже 10.0.5

  1. #1
    Junior Member
    Регистрация
    05.10.2017
    Сообщений
    12

    По умолчанию Как обновить mysql-5.5.56 до версии не ниже 10.0.5

    Добрый день.
    Установил Битрикс, а там
    С 30 июня 2019 года будет ограничена поддержка наших продуктов на MySql MariaDB версии ниже 10.0.5. Вы используете версию MySql MariaDB '5.5.56-MariaDB'. Пожалуйста, запланируйте обновление MySql или обратитесь в службу технической поддержки вашего хостинга.
    Как безболезненно это дело обновить? Панель последней версии..
    Спасибо.

  2. #2
    Member
    Регистрация
    05.05.2009
    Сообщений
    57

    По умолчанию

    Это не версия mariadb, посмотреть её можно в настройках "серверы баз данных":

  3. #3
    Member Аватар для Kestrel
    Регистрация
    31.08.2016
    Сообщений
    81

    По умолчанию

    Добрый день. Вы можете перевести Битрикс на альтернативную версию Mysql
    https://docs.ispsystem.ru/ispmanager...e-versii-mysql

  4. #4
    Junior Member
    Регистрация
    03.06.2018
    Сообщений
    15

    По умолчанию

    Цитата Сообщение от Kestrel Посмотреть сообщение
    Добрый день. Вы можете перевести Битрикс на альтернативную версию Mysql
    https://docs.ispsystem.ru/ispmanager...e-versii-mysql
    Мы то можем м не только костыль прикрутить а вот вы можете обновить панель до актуального на данный момент софта?
    Костыли конечно хорошо, но хотелось бы коляску.

  5. #5
    Senior Member Аватар для Виктор
    Регистрация
    27.08.2008
    Адрес
    MGNHost.ru
    Сообщений
    3,273

    По умолчанию

    Цитата Сообщение от macar Посмотреть сообщение
    Мы то можем м не только костыль прикрутить а вот вы можете обновить панель до актуального на данный момент софта?
    Костыли конечно хорошо, но хотелось бы коляску.
    В качестве основной версии устанавливается та, которая есть в репозитории ОС.

  6. #6
    Member
    Регистрация
    03.06.2015
    Адрес
    Россия, Москва
    Сообщений
    45

    По умолчанию

    Цитата Сообщение от Виктор Посмотреть сообщение
    В качестве основной версии устанавливается та, которая есть в репозитории ОС.
    Почему в Plesk реально установить другую версию (не в docker), а в ISPManager нельзя? У них инструкции есть на эту тему. А тут костыли на docker ...

  7. #7
    Junior Member
    Регистрация
    15.01.2019
    Сообщений
    10

    По умолчанию

    Думаю, всё зависит от вашей ОС. По-моему можно подключить сторонние репозитории и оттуда обновить нативную Марию.

  8. #8
    Senior Member Аватар для Виктор
    Регистрация
    27.08.2008
    Адрес
    MGNHost.ru
    Сообщений
    3,273

    По умолчанию

    Цитата Сообщение от kiav Посмотреть сообщение
    Почему в Plesk реально установить другую версию (не в docker), а в ISPManager нельзя? У них инструкции есть на эту тему. А тут костыли на docker ...
    А что Вам мешает собрать собственную версию пакета, либо подключить репозиторий, в котором есть нужная версия?

  9. #9
    Member
    Регистрация
    03.06.2015
    Адрес
    Россия, Москва
    Сообщений
    45

    По умолчанию

    Цитата Сообщение от Виктор Посмотреть сообщение
    А что Вам мешает собрать собственную версию пакета, либо подключить репозиторий, в котором есть нужная версия?
    Только отсутствие проработанного решения. Его, в случае с ISPManager, нет. Да, можно найти статьи на сайте MariaDB. Но полной картины они не дают.

    Например, обновления c 5.5.64 на ветку 10.0 не существует. Есть только статья об этом. Почему? Да потому что нет такого репозитория. И вот уже начинаются опыты. Да, обновление 5.5 -> 10.1 прошло успешно по тому же сценарию. Но при отсутствии заботы о клиентах со стороны разработчика панели ты будешь первопроходцем.

    Можно подумать причем тут разработчики панели ... Есть более приземленный пример тут же. При выполнении одного из первых шагов (удаление старых пакетов от версии 5.5, те что пришли с системой) удалятся и coremanager-pkg-mysql с ispmanager-pkg-mysql. Да, они поставились обратно. А кто это знает заранее? А нужно ли остановить панель перед удалением/установкой? А как? А неизвестно. Я тормозил такими командами как /usr/local/mgr5/sbin/mgrctl -m core -l exit. Но все равно получил странную ошибку при установке обратно поддержки MySQL (Type: 'client' Object: 'locked'). Где об этом написано? А нигде! Что будет? А пока не знаю.

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •